Function
capacity
The maximal length.
Size capacity(object)
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: Segment, std::basic_string, std::list, std::vector, String, thrust::device_vector Remarks: If object cannot be converted to one of these types, the function returns 1.

Remarks
The size of a sequence can never exceed it's capacity, but some containers support resizing of the capacity. Some functions do that implicitely if they are called with a suitable overflow strategy. The function reserve can be used to change the capacity explicitely.
Return Values
The maximal number of items/characters that can be stored in object.
Metafunctions: Size
Member of
String, std::basic_string, std::vector, thrust::device_vector, Segment, std::list
Part of Concept
ContainerConcept, Container
See Also
length, shrinkToFit, reserve
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57